package com.ruoyi.web.modules.order.domain;

import java.math.BigDecimal;

/**
 * 订单商品明细 biz_order_item
 */
public class BizOrderItem
{
    private Long itemId;

    private Long orderId;

    private Long goodsId;

    private String goodsName;

    private String goodsSpec;

    private String goodsImage;

    private BigDecimal unitPrice;

    private Integer quantity;

    private BigDecimal lineAmount;

    private Integer sortNo;

    private String buyerRemark;

    private String serviceDesc;

    private Long cartItemId;

    private String specKey;

    public Long getItemId()
    {
        return itemId;
    }

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getOrderId()
    {
        return orderId;
    }

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsName()
    {
        return goodsName;
    }

    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getGoodsSpec()
    {
        return goodsSpec;
    }

    public void setGoodsSpec(String goodsSpec)
    {
        this.goodsSpec = goodsSpec;
    }

    public String getGoodsImage()
    {
        return goodsImage;
    }

    public void setGoodsImage(String goodsImage)
    {
        this.goodsImage = goodsImage;
    }

    public BigDecimal getUnitPrice()
    {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice)
    {
        this.unitPrice = unitPrice;
    }

    public Integer getQuantity()
    {
        return quantity;
    }

    public void setQuantity(Integer quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getLineAmount()
    {
        return lineAmount;
    }

    public void setLineAmount(BigDecimal lineAmount)
    {
        this.lineAmount = lineAmount;
    }

    public Integer getSortNo()
    {
        return sortNo;
    }

    public void setSortNo(Integer sortNo)
    {
        this.sortNo = sortNo;
    }

    public String getBuyerRemark()
    {
        return buyerRemark;
    }

    public void setBuyerRemark(String buyerRemark)
    {
        this.buyerRemark = buyerRemark;
    }

    public String getServiceDesc()
    {
        return serviceDesc;
    }

    public void setServiceDesc(String serviceDesc)
    {
        this.serviceDesc = serviceDesc;
    }

    public Long getCartItemId()
    {
        return cartItemId;
    }

    public void setCartItemId(Long cartItemId)
    {
        this.cartItemId = cartItemId;
    }

    public String getSpecKey()
    {
        return specKey;
    }

    public void setSpecKey(String specKey)
    {
        this.specKey = specKey;
    }
}
